User
/v1/user
Get user
Returns a Matrica user by their username.
Returns a Matrica user's profile.
Get NFT Collection Counts for a User
Returns the count of NFTs a user owns in specific collections. This route is Enterprise only.
Path parameters
userIdstringRequired
The ID of the user whose NFT collections are to be retrieved.
Query parameters
collectionIdstringOptional
Optional filter to retrieve NFTs for a specific collection.
Responses
200
Returns the NFT collection counts for the user.
application/json
collectionIdstringOptional
The ID of the NFT collection.
collectionNamestringOptional
The name of the NFT collection.
countintegerOptional
The number of NFTs in this collection.
400
Invalid user ID or user not found.
application/json
get/v1/user/{userId}/nft-collections
GET /v1/user/{userId}/nft-collections HTTP/1.1
Accept: */*
[
{
"collectionId": "3469c345-04db-4d19-b207-7fa1138dd940",
"collectionName": "Matrica Pixels",
"count": 5
},
{
"collectionId": "e11bbb2a-a8e7-4a79-b9e4-32e8f34749dd",
"collectionName": "Matrica Blocks",
"count": 8
}
]Path parameters
userIdstringRequired
The ID of the user
Responses
200
Returns the user PFP.
application/json
collectionNamestring · nullableOptional
Name of the NFT collection
collectionPfpstring · nullableOptional
Profile picture of the collection
pfpNFTIdstring · nullableOptional
ID of the NFT used as profile picture
pfpNFTUrlstring · nullableOptional
URL or image of the NFT profile picture
gethttps://api.matrica.io/v1/user/{userId}/pfp
GET https://api.matrica.io/v1/user/{userId}/pfp HTTP/1.1
Accept: */*
200
Returns the user PFP.
{
"collectionName": "Bored Ape Yacht Club",
"collectionPfp": "https://example.com/collection-pfp.jpg",
"pfpNFTId": "123",
"pfpNFTUrl": "https://example.com/nft-image.jpg"
}Last updated